Redmine - Feature #5462

Blocking issues to be closed which have open subtasks
2010-05-07 04:17 - Yuki Kita

Status: Closed Start date: 2010-05-07
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

Now We can close issues that have have open subtasks.
This behavior enables confusing situation that a parent task is closed, though subtasks are open.
It would be nice that Redmine blocks a issue to be closed if the issue have any open subtasks.

Related issues:
Is duplicate of Redmine - Feature #10989: Prevent parent issue from being clo... Closed

History

#1 - 2010-05-13 11:01 - Nigel Jones

Blocking the action may be too much - but a popup warning would be nice. This would let the user know that there are outstanding subtasks but not
stop them closing the issue if that's what they want to do.

#2 - 2010-05-14 13:24 - Yuki Kita
Nigel Jones wrote:
Blocking the action may be too much - but a popup warning would be nice. This would let the user know that there are outstanding subtasks but

not stop them closing the issue if that's what they want to do.

| agree.
The popup warning is better.

#3 - 2010-07-20 13:59 - David Marin Carreio

+1

#4 - 2010-07-21 10:14 - Sheng Wang

I think Redmine should block parent task to be closed when there are open subtasks.

#5 - 2012-08-22 22:15 - Laszlo Horvath

+1

#6 - 2014-10-20 23:28 - Ariel Lira
| think this is fixed in 2.4.x+

#7 - 2014-11-18 14:38 - Toshi MARUYAMA

Ariel Lira wrote:

| think this is fixed in 2.4.x+

Redmine core does not support this feature yet.

#8 - 2015-10-01 13:36 - Florian ROBERT

+1

#9 - 2015-12-08 13:31 - Maicon Zucco

+1
#10 - 2016-09-08 11:01 - David Songer

As a relative new user of RedMine (and I'm enjoying setting up new projects), I'm trying to work out if this issue has been fixed in V3.3? The new
project I'm developing will benefit from not being able to close a parent issue with open sub-tasks. Can anyone confirm that this is the case with V3.3,
that parent issues with open sub-tasks cannot be closed? Thanks

#11 - 2016-09-20 14:12 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate
Duplicate of #10989.

#12 - 2016-09-20 14:13 - Toshi MARUYAMA
- Related to deleted (Feature #13585: Make sub-task inherit the properties of parent)

#13 - 2016-09-20 14:13 - Toshi MARUYAMA

- Is duplicate of Feature #10989: Prevent parent issue from being closed if a child issue is open added
